Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.layout2.index
Class StoreTriplesNodesIndexHSQL

    java.lang.Object
      com.hp.hpl.jena.sdb.sql.SDBConnectionHolder
          com.hp.hpl.jena.sdb.layout2.StoreBase
              com.hp.hpl.jena.sdb.store.StoreBaseHSQL
                  com.hp.hpl.jena.sdb.layout2.index.StoreTriplesNodesIndexHSQL

All Implemented Interfaces:
  Store

    public class StoreTriplesNodesIndexHSQL

extends StoreBaseHSQL

Constructor Summary
`StoreTriplesNodesIndexHSQL(SDBConnection connection, StoreDesc desc)`

Method Summary
`long` | `getSize(com.hp.hpl.jena.graph.Node node)` Get the size of the graph corresponding to graphNode

Methods inherited from class com.hp.hpl.jena.sdb.store.StoreBaseHSQL
`checkpoint, checkpoint, close, close`

Methods inherited from class com.hp.hpl.jena.sdb.layout2.StoreBase
`getConfiguration, getConnection, getDatabaseType, getLayoutType, getLoader, getNodeTableDesc, getQuadTableDesc, getQueryCompilerFactory, getSize, getSQLBridgeFactory, getSQLGenerator, getTableFormatter, getTripleTableDesc, isClosed`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StoreTriplesNodesIndexHSQL

    public StoreTriplesNodesIndexHSQL(SDBConnection connection,
                                      StoreDesc desc)

Method Detail

### getSize

    public long getSize(com.hp.hpl.jena.graph.Node node)

  Description copied from interface: `Store`
  Get the size of the graph corresponding to graphNode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.